Package org.apache.sling.resourceresolver.impl.mapping

# Class StringInterpolationProviderImpl

java.lang.Object
org.apache.sling.resourceresolver.impl.mapping.StringInterpolationProviderImpl

All Implemented Interfaces:
  `StringInterpolationProvider`

public class StringInterpolationProviderImpl extends Object implements StringInterpolationProvider

## Constructor Summary

Constructors
Constructor
Description
`StringInterpolationProviderImpl()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`activate(org.osgi.framework.BundleContext bundleContext, StringInterpolationProviderConfiguration config)`
Activates this component (called by SCR before)
`protected void`
`deactivate(org.osgi.framework.BundleContext bundleContext)`
Deactivates this component (called by SCR to take out of service)
`protected void`
`modified(org.osgi.framework.BundleContext bundleContext, StringInterpolationProviderConfiguration config)`
Modifies this component (called by SCR to update this component)
`String`
`substitute(String text)`
This is the method that is used by the Map Entries service to substitute values with the proper format

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringInterpolationProviderImpl

public StringInterpolationProviderImpl()

## Method Details

### activate

protected void activate(org.osgi.framework.BundleContext bundleContext, StringInterpolationProviderConfiguration config)
Activates this component (called by SCR before)

Parameters:
  `bundleContext` - the bundleContext
  `config` - the configuration

### modified

protected void modified(org.osgi.framework.BundleContext bundleContext, StringInterpolationProviderConfiguration config)
Modifies this component (called by SCR to update this component)

Parameters:
  `bundleContext` - the bundleContext
  `config` - the configuration

### deactivate

protected void deactivate(org.osgi.framework.BundleContext bundleContext)
Deactivates this component (called by SCR to take out of service)

Parameters:
  `bundleContext` - the bundleContext

### substitute

public String substitute(String text)
This is the method that is used by the Map Entries service to substitute values with the proper format

Specified by:
  `substitute` in interface `StringInterpolationProvider`
Parameters:
  `text` - Text to be converted
Returns:
  Should be either the substituted text or the original given text